| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jcprepct.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_prep_controller

## Macros
#define | JPEG_INTERNALS
#define | CONTEXT_ROWS_SUPPORTED

## Typedefs
typedef my_prep_controller * | my_prep_ptr

## Functions
| start_pass_prep (j_compress_ptr cinfo, J_BUF_MODE pass_mode)
| expand_bottom_edge (JSAMPARRAY image_data, JDIMENSION num_cols, int input_rows, int output_rows)
| pre_process_data (j_compress_ptr cinfo, JSAMPARRAY input_buf, JDIMENSION *in_row_ctr, JDIMENSION in_rows_avail, JSAMPIMAGE output_buf, JDIMENSION *out_row_group_ctr, JDIMENSION out_row_groups_avail)
| pre_process_context (j_compress_ptr cinfo, JSAMPARRAY input_buf, JDIMENSION *in_row_ctr, JDIMENSION in_rows_avail, JSAMPIMAGE output_buf, JDIMENSION *out_row_group_ctr, JDIMENSION out_row_groups_avail)
| create_context_buffer (j_compress_ptr cinfo)
| jinit_c_prep_controller (j_compress_ptr cinfo, boolean need_full_buffer)

## Macro Definition Documentation

#define CONTEXT_ROWS_SUPPORTED

Definition at line 28 of file jcprepct.c.

#define JPEG_INTERNALS

Definition at line 17 of file jcprepct.c.

## Typedef Documentation

typedef my_prep_controller* my_prep_ptr

Definition at line 70 of file jcprepct.c.

## Function Documentation

create_context_buffer | ( | j_compress_ptr | cinfo | ) |

Definition at line 267 of file jcprepct.c.

expand_bottom_edge | ( | JSAMPARRAY | image_data,
|  | JDIMENSION | num_cols,
|  | int | input_rows,
|  | int | output_rows
| ) |  |

Definition at line 106 of file jcprepct.c.

jinit_c_prep_controller | ( | j_compress_ptr | cinfo,
|  | boolean | need_full_buffer
| ) |  |

Definition at line 315 of file jcprepct.c.

pre_process_context | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JDIMENSION * | in_row_ctr,
|  | JDIMENSION | in_rows_avail,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION * | out_row_group_ctr,
|  | JDIMENSION | out_row_groups_avail
| ) |  |

Definition at line 195 of file jcprepct.c.

pre_process_data | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JDIMENSION * | in_row_ctr,
|  | JDIMENSION | in_rows_avail,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION * | out_row_group_ctr,
|  | JDIMENSION | out_row_groups_avail
| ) |  |

Definition at line 128 of file jcprepct.c.

start_pass_prep | ( | j_compress_ptr | cinfo,
|  | J_BUF_MODE | pass_mode
| ) |  |

Definition at line 78 of file jcprepct.c.